Skip to main content
Base path: /api/polymarket/

Orders

MethodEndpointDescription
POST/order/Place order (market or limit)
GET/order/List open orders
GET/order/:id/Get order status
DELETE/order/:id/Cancel order

Place Order

POST /api/polymarket/order/
{
  "marketId": "string",
  "side": "yes" | "no",
  "amount": 5,
  "orderType": "market" | "limit",
  "price": 0.60,
  "orderMode": "dollars" | "shares"
}

Holdings

MethodEndpointDescription
GET/holding/Get positions (query: positionType, isReedemable)

Markets

MethodEndpointDescription
GET/markets/Browse markets
GET/markets/eventsBrowse events
GET/markets/events/:idGet event by ID
GET/markets/seriesList series

Tokens

MethodEndpointDescription
GET/token/:id/orderbook/Get orderbook
POST/token/claim/Redeem winning positions

Bridge

MethodEndpointDescription
POST/bridge/deposit-addresses/Get deposit addresses
GET/bridge/supported-assets/List supported assets
GET/bridge/status/:address/Check deposit status

Safe Wallet

MethodEndpointDescription
POST/safe/withdraw/Withdraw USDC from Safe to EOA

Whale Transactions

MethodEndpointDescription
GET/whale-txs/Get whale transactions